Subject: Re: bug#8398: 24.0.50; info-mode adding spurious "see" to @ref links

From: Jason Earl <[email-masked]>
Date: Fri, 01 Apr 2011 13:26:00 -0600

On Thu, Mar 31 2011, Glenn Morris wrote:

> Jason Earl wrote:
>
>> For more information on info itself you can read
>> @iftex
>> @cite{Info: An Introduction}.
>> @end iftex
>> @ifnottex
>> @ref{Top, , Info, info, Info: An Introduction}.
>> @end ifnottex
>>
>> The info file produced, and it looked fine in the info client.
>>
>>    For more information on info itself you can read *note Info:
>> (info)Top.
>>
>> However, in Emacs' info-mode it looks like this:
>>
>>    For more information on info itself you can read *note Info:
>> (info)Top.
>>
>> Essentially it replaced the *note with the word "see" which makes the
>> sentence read funny.
>
> I think you mis-typed your second example...
>
> The behaviour is customizable through Info-hide-note-references.
>
> The elisp intro does not say "you can read", so looks OK IMO:
>
>    This introduction to `Programming in Emacs Lisp' has a companion
> document, see The GNU Emacs Lisp Reference Manual.
>
> Personally I think your "you can read @ref" is not really Texinfo style (?),
> which is why the result looks a bit odd.
>
> http://www.gnu.org/s/hello/manual/texinfo/ref.html

I am sorry for the noise.  I borrowed the Texinfo from the /Emacs Lisp
Intro/ (it seemed like a safe bet), and then the output appeared
differently in Emacs and the info file reader, so I thought it might be
a bug.

I am starting to realize that borrowing examples from the /Emacs Lisp
Intro/ is not a good idea.  This is the second time that has bitten me.

I will reword my Texinfo source and call it good.  Thanks for looking
into this, and, once again, sorry for the noise.

Jason Earl